diff --git a/encoder/analyse.c b/encoder/analyse.c
index 1941bf28..d798fb9b 100644
--- a/encoder/analyse.c
+++ b/encoder/analyse.c
@@ -273,7 +273,7 @@ static const uint8_t i_sub_mb_p_cost_table[4] =
 static void x264_analyse_update_cache( x264_t *h, x264_mb_analysis_t *a );
 
 static uint16_t x264_cost_ref[QP_MAX+1][3][33];
-static UNUSED x264_pthread_mutex_t cost_ref_mutex = X264_PTHREAD_MUTEX_INITIALIZER;
+static x264_pthread_mutex_t cost_ref_mutex;
 static uint16_t x264_cost_i4x4_mode[(QP_MAX+2)*32];
 
 static int init_costs( x264_t *h, float *logs, int qp )
@@ -314,6 +314,7 @@ fail:
 
 int x264_analyse_init_costs( x264_t *h )
 {
+    x264_pthread_mutex_init( &cost_ref_mutex, NULL );
     float *logs = x264_malloc( (2*4*2048+1) * sizeof(float) );
     if( !logs )
         return -1;
@@ -338,6 +339,7 @@ fail:
 
 void x264_analyse_free_costs( x264_t *h )
 {
+    x264_pthread_mutex_destroy( &cost_ref_mutex );
     for( int i = 0; i < QP_MAX+1; i++ )
     {
         if( h->cost_mv[i] )
